From 73e9e8fdd5828a667942d3ad6f6d35bf9cac5c71 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Feb 28 2025 23:00:06 +0000
Subject: Bump to mesa-asahi-20250221


---

diff --git a/mesa-asahi-flatpak.spec b/mesa-asahi-flatpak.spec
index 5a82167..2d36916 100644
--- a/mesa-asahi-flatpak.spec
+++ b/mesa-asahi-flatpak.spec
@@ -1,17 +1,16 @@
-%global asahi_mesa_ver 20241211
+%global asahi_mesa_ver 20250221
 %global git_tag asahi-%{asahi_mesa_ver}
-%global basever 25.0.0
+%global basever 25.1.0
 %global ver %{basever}-asahipre%{asahi_mesa_ver}
 %global sdk_ver 23.08
 %global llvm_major 18
 
 %global libclc_ver llvmorg-18.1.8
-%global spirv_tools_ver v2024.2
-%global spirv_headers_ver vulkan-sdk-1.3.283.0
+%global spirv_tools_ver v2024.4.rc2
+%global spirv_headers_ver vulkan-sdk-1.4.304.1
 %global spirv_llvm_translator_ver v18.1.2
 %global meson_ver 1.5.0
 %global pyyaml_ver 6.0.2
-%global wl_procols_ver 1.38
 
 Name:           mesa-asahi-%{sdk_ver}-flatpak
 Summary:        Mesa graphics libraries Flatpak overlay
@@ -30,7 +29,6 @@ Source13:        https://github.com/KhronosGroup/SPIRV-Tools/archive/refs/tags/%
 Source14:        https://github.com/llvm/llvm-project/archive/refs/tags/%{libclc_ver}.tar.gz
 Source15:        https://files.pythonhosted.org/packages/d6/97/852cc27c460d5fae07c6d7e4a2744f5684760358de3456b5ee9f130b8f57/meson-%{meson_ver}.tar.gz
 Source16:        https://files.pythonhosted.org/packages/54/ed/79a089b6be93607fa5cdaedf301d7dfb23af5f25c398d5ead2525b063e17/pyyaml-%{pyyaml_ver}.tar.gz
-Source17:        https://gitlab.freedesktop.org/wayland/wayland-protocols/-/releases/%{wl_procols_ver}/downloads/wayland-protocols-%{wl_procols_ver}.tar.xz
 
 Requires:       flatpak
 
@@ -57,7 +55,6 @@ sed \
   -e "s,\%SRC_LIBCLC,%SOURCE14,g" \
   -e "s,\%SRC_MESON,%SOURCE15,g" \
   -e "s,\%SRC_PYYAML,%SOURCE16,g" \
-  -e "s,\%SRC_WL_PROTOCOLS,%SOURCE17,g" \
   %SOURCE0 > org.freedesktop.Platform.GL.host.yml
 
 cp %SOURCE1 .
@@ -103,6 +100,9 @@ ln -s share/glvnd share/vulkan %{buildroot}%{_sharedstatedir}/flatpak/extension/
 %{_sharedstatedir}/flatpak/extension/org.freedesktop.Platform.GL.host/
 
 %changelog
+* Fri Feb 28 2025 Janne Grunau <janne-fdr@jannau.net> - 25.1.0~asahipre20250221-1
+- Bump to mesa-asahi-20250221
+
 * Wed Dec 11 2024 Asahi Lina <lina@asahilina.net> - 25.0.0~asahipre20241211-1
 - Bump to mesa-asahi-20241211
 
diff --git a/org.freedesktop.Platform.GL.host.yml b/org.freedesktop.Platform.GL.host.yml
index 3b5b549..616b7e8 100644
--- a/org.freedesktop.Platform.GL.host.yml
+++ b/org.freedesktop.Platform.GL.host.yml
@@ -213,9 +213,6 @@ modules:
         path: %SRC_MESA
       - type: patch
         path: mesa-asahi-version.patch
-      - type: file
-        path: %SRC_WL_PROTOCOLS
-        dest: 'subprojects/packagecache'
 
   # We might need to make this do some arch-specific stuff later for i386 builds, but as of the time of writing we only do 64-bit builds so we'll be fine.
   - name: llvm
diff --git a/sources b/sources
index 6ddba95..48c1410 100644
--- a/sources
+++ b/sources
@@ -1,8 +1,7 @@
-SHA512 (mesa-asahi-20241211.tar.gz) = 3cffd24548a3303ad318f6ddf9a39d908c503090b1dcc389e4636565e27cdc69a7da28781d59bda092a07918863ac1938f34232b1554545ec5996cbcccaadab2
+SHA512 (mesa-asahi-20250221.tar.gz) = 2d2070582a2a5be90bbc437a51106aa677c191717877150e1351f714dd140a698326149b140f25216e8071202dba7a99cbda40299e9414f40b6ae01e41289d89
 SHA512 (llvmorg-18.1.8.tar.gz) = a2b5e4d52dbddc47b4e10e3c8acb1b04b7ef97b723d160d591cb83ccff6edc0433a2dbca55074d42b533b406647b34dc0df1791b6a33879902addbe67735d1cc
 SHA512 (meson-1.5.0.tar.gz) = f0a25cf134949739c698eddaea602bf7852866b3fee3d2c11c1e6b6e48c944cf92abc3d171a2e42e21077edc01f1e7079d451f5624e2b6131382e114e814db3e
 SHA512 (pyyaml-6.0.2.tar.gz) = a675e0056bb6af9119c7f2796e349ced05afca64118a5b444d66dafcb6a774cf274eeba7eab044b86eb6c12a9d7c785c654f6cf229e1d190340dd06ea76e25ec
 SHA512 (v18.1.2.tar.gz) = 889cdc0960f6029129dad62f7afe6f61b51bed9d8fb9fa6b743318e2243252dce62cbacf71a2b56decec24ce37746b4b4787dd426ad76e2feb74e1781cb070c8
-SHA512 (v2024.2.tar.gz) = 1ac7195fb0a1d94f81702f4fe0e33da4b024a5c822d840fb3960665483fbbb163cb28f346d174856c7499422323bf891c334b0d9a8352ff3e0bc5aef8a5b037c
-SHA512 (vulkan-sdk-1.3.283.0.tar.gz) = 2bb52f532a8a07d6eaf7e348fc79e798511740e3f6b3fb2d1de8834335598f57555c638e07e906935e94a26a1f71704f5ca1dd0dcc8d099b2d722d217f9591fa
-SHA512 (wayland-protocols-1.38.tar.xz) = 43fc36d35bedb245deed0e2de246f42d2bbfa6ecafa094f2a7fb103d6df8ae28f3cc200bc5aa24745b9131a28381883c24779da0a6d9ac954753bd5ebb1405db
+SHA512 (v2024.4.rc2.tar.gz) = 0545754c800884ed0605401188b2a536f41b09db97dc2bdac5a1fa21444f1f13860c45760dc99364b336012b98f0cee2d083d46243739a6b9cdc1be824506eaa
+SHA512 (vulkan-sdk-1.4.304.1.tar.gz) = 5d9210e32e4bad681951646857afa59698455618c79713eb5a98f785317ca2965b9640f1fce3e1ca6650e847a4a74688d12ebc2b5943f336df0163feea67acc2

